Feature # 25397 (Closed): Adding XLIFF support as the default format for translation
TYPO3 Version: 4.6
Complexity:
Is Regression:
Sprint Focus:
Subject: Wrong check for existance of translated label
Description

While tslib_fe::getLL() checks the existance of a translated label with
isset(), language::getLLL() does this with a strict string comparison.
This is evaluated as TRUE, if the subkey is not set at all, which is an
unexpected behavior.

Thus check, whether the label was translated into the current language
using isset().

Related issues:
precedes Core - Feature # 20953: Add a warning for IE6 users in TYPO3 4.6 Closed 2011-07-18 2011-07-18

Associated revisions
Revision 1a9007b7 - 2011-07-20 13:39 - Steffen Gebert

[BUGFIX] Wrong check for existance of translated label

While tslib_fe::getLL() checks the existance of a translated label with
isset(), language::getLLL() does this with a strict string comparison.
This is evaluated as TRUE, if the subkey is not set at all, which is an
unexpected behavior.

Thus check, whether the label was translated into the current language
using isset().
History
#1 - 2011-07-17 14:01 - Mr. Hudson

Patch set 1 of change I421d541d9aeaa2403052d212c7adba819a4e116f has been pushed to the review server.
It is available at http://review.typo3.org/3380

#2 - 2011-07-18 08:08 - Tolleiv Nietsch
- Status changed from New to Under Review

#3 - 2011-07-20 14:00 - Steffen Gebert
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:1a9007b7602ba7feeeffffb9be2cb9ac17593d7e.

#4 - 2012-03-07 13:34 - Xavier Perseguers
- Status changed from Resolved to Closed

#5 - 2013-06-01 14:45 - Ernesto Baschny
- Target version deleted (4.6.0-beta1)
